---
title: ry
slug: Web/SVG/Attribute/ry
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>ry</code></strong> attribute defines a radius on the y-axis.</p>

<p>Two elements are using this attribute: {{SVGElement("ellipse")}}, and {{SVGElement("rect")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 300 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;ellipse cx="50"  cy="50" ry="0"  rx="25" /&gt;
  &lt;ellipse cx="150" cy="50" ry="25" rx="25" /&gt;
  &lt;ellipse cx="250" cy="50" ry="50" rx="25" /&gt;

  &lt;rect x="20"  y="120" width="60" height="60" ry="0"   rx="15"/&gt;
  &lt;rect x="120" y="120" width="60" height="60" ry="15"  rx="15"/&gt;
  &lt;rect x="220" y="120" width="60" height="60" ry="150" rx="15"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="ellipse">ellipse</h2>

<p>For {{SVGElement('ellipse')}}, <code>ry</code> defines the y-radius of the shape. With a value lower or equal to zero the ellipse won't be drawn at all.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong> | <code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>ry</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for ellipses.</p>

<h2 id="rect">rect</h2>

<p>For {{SVGElement('rect')}}, <code>ry</code> defines the y-axis radius of the ellipse used to round off the corners of the rectangle.</p>

<p>The way the value of the <code>ry</code> attribute is interpreted depend on both the {{SVGAttr("rx")}} attribute and the width of the rectangle:</p>

<ul>
 <li>If a properly specified value is provided for <code>ry</code> but not for {{SVGAttr("rx")}} (or the opposite), then the browser will consider the missing value equal to the defined one.</li>
 <li>If neither <code>ry</code> nor {{SVGAttr("rx")}} has a properly specified value, then the browser will draw a rectangle with square corners.</li>
 <li>If <code>ry</code> is greater than half of the width of the rectangle, then the browser will consider the value for <code>ry</code> as half of the width of the rectangle.</li>
</ul>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong> | <code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>ry</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for rects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "geometry.html#RY", "ry")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition as a geometry property</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#EllipseElementRYAttribute", "ry")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;ellipse&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#RectElementRYAttribute", "ry")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;rect&gt;</code></td>
  </tr>
 </tbody>
</table>
